<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>GormGenericEditor class documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$GormGenericEditor">GormGenericEditor class documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
      <hr width="50%" align="left" />
      <h3>Contents -</h3>
      <ol>
        <li>
          <a href="#001000000000">Software documentation for the GormGenericEditor class</a>
        </li>
        <li>
          <a href="#002000000000">Software documentation for the
        GormGenericEditor(PrivateMethods)
        category</a>
        </li>
      </ol>
      <hr width="50%" align="left" />
    </div>

          <h1><a name="001000000000">
        Software documentation for the GormGenericEditor class
      </a></h1>
    <h2><a name="class$GormGenericEditor">GormGenericEditor</a> : NSMatrix</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormGenericEditor.h</dd>
      </dl>
    </blockquote>
    <blockquote>
      <dl>
        <dt><b>Conforms to:</b></dt>
        <dd>IBEditors</dd>
        <dd>IBSelectionOwners</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="50%" align="left" />
    <a href="#_GormGenericEditor_ivars">Instance Variables</a>
    <br/><br/>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor(PrivateMethods)-changeSelection$">-changeSelection:</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor(PrivateMethods)-groupSelectionInBox">-groupSelectionInBox</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor(PrivateMethods)-groupSelectionInMatrix">-groupSelectionInMatrix</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor(PrivateMethods)-groupSelectionInScrollView">-groupSelectionInScrollView</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor(PrivateMethods)-groupSelectionInSplitView">-groupSelectionInSplitView</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor(PrivateMethods)-groupSelectionInView">-groupSelectionInView</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor(PrivateMethods)-setEditor$forDocument$">-setEditor:forDocument:</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor(PrivateMethods)-ungroup">-ungroup</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor(PrivateMethods)-willCloseDocument$">-willCloseDocument:</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor+editorForDocument$">+editorForDocument:</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor+setEditor$forDocument$">+setEditor:forDocument:</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-activate">-activate</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-addObject$">-addObject:</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-close">-close</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-closeSubeditors">-closeSubeditors</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-containsObject$">-containsObject:</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-copySelection">-copySelection</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-deleteSelection">-deleteSelection</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-document">-document</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-editedObject">-editedObject</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-fileTypes">-fileTypes</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-initWithObject$inDocument$">-initWithObject:inDocument:</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-isOpened">-isOpened</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-objects">-objects</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-openSubeditorForObject$">-openSubeditorForObject:</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-orderFront">-orderFront</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-pasteInSelection">-pasteInSelection</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-rectForObject$">-rectForObject:</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-refreshCells">-refreshCells</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-removeObject$">-removeObject:</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-selectObjects$">-selectObjects:</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-wantsSelection">-wantsSelection</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor-window">-window</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormGenericEditor+editorForDocument$">editorForDocument:&nbsp;</a></h3>
    + (id) <b>editorForDocument:</b> (id<IBDocuments>)aDocument;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor+setEditor$forDocument$">setEditor:&nbsp;forDocument:&nbsp;</a></h3>
    + (void) <b>setEditor:</b> (id)editor<b> forDocument:</b> (id<IBDocuments>)aDocument;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-activate">activate&nbsp;</a></h3>
    - (BOOL) <b>activate</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-addObject$">addObject:&nbsp;</a></h3>
    - (void) <b>addObject:</b> (id)anObject;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-close">close&nbsp;</a></h3>
    - (void) <b>close</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-closeSubeditors">closeSubeditors&nbsp;</a></h3>
    - (void) <b>closeSubeditors</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-containsObject$">containsObject:&nbsp;</a></h3>
    - (BOOL) <b>containsObject:</b> (id)object;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-copySelection">copySelection&nbsp;</a></h3>
    - (void) <b>copySelection</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-deleteSelection">deleteSelection&nbsp;</a></h3>
    - (void) <b>deleteSelection</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-document">document&nbsp;</a></h3>
    - (id<IBDocuments>) <b>document</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-editedObject">editedObject&nbsp;</a></h3>
    - (id) <b>editedObject</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-fileTypes">fileTypes&nbsp;</a></h3>
    - (NSArray*) <b>fileTypes</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-initWithObject$inDocument$">initWithObject:&nbsp;inDocument:&nbsp;</a></h3>
    - (id) <b>initWithObject:</b> (id)anObject<b> inDocument:</b> (id<IBDocuments>)aDocument;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-isOpened">isOpened&nbsp;</a></h3>
    - (BOOL) <b>isOpened</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-objects">objects&nbsp;</a></h3>
    - (NSArray*) <b>objects</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-openSubeditorForObject$">openSubeditorForObject:&nbsp;</a></h3>
    - (id<IBEditors>) <b>openSubeditorForObject:</b> (id)anObject;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-orderFront">orderFront&nbsp;</a></h3>
    - (void) <b>orderFront</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-pasteInSelection">pasteInSelection&nbsp;</a></h3>
    - (void) <b>pasteInSelection</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-rectForObject$">rectForObject:&nbsp;</a></h3>
    - (NSRect) <b>rectForObject:</b> (id)anObject;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-refreshCells">refreshCells&nbsp;</a></h3>
    - (void) <b>refreshCells</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-removeObject$">removeObject:&nbsp;</a></h3>
    - (void) <b>removeObject:</b> (id)anObject;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-selectObjects$">selectObjects:&nbsp;</a></h3>
    - (void) <b>selectObjects:</b> (NSArray*)anArray;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-wantsSelection">wantsSelection&nbsp;</a></h3>
    - (BOOL) <b>wantsSelection</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor-window">window&nbsp;</a></h3>
    - (NSWindow*) <b>window</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<a name="_GormGenericEditor_ivars"/>    <br/><hr width="50%" align="left" />
    <h2>Instance Variables for GormGenericEditor Class</h2>
    <h3><a name="ivariable$GormGenericEditor*activated">activated</a></h3>
    @protected BOOL <b>activated</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormGenericEditor*closed">closed</a></h3>
    @protected BOOL <b>closed</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormGenericEditor*document">document</a></h3>
    @protected id<IBDocuments> <b>document</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormGenericEditor*dragPb">dragPb</a></h3>
    @protected NSPasteboard* <b>dragPb</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormGenericEditor*dragType">dragType</a></h3>
    @protected NSString* <b>dragType</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormGenericEditor*objects">objects</a></h3>
    @protected NSMutableArray* <b>objects</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormGenericEditor*resourceManager">resourceManager</a></h3>
    @protected IBResourceManager* <b>resourceManager</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormGenericEditor*selected">selected</a></h3>
    @protected id <b>selected</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <br/><hr width="50%" align="left" /><br/>

          <h1><a name="002000000000">
        Software documentation for the
        GormGenericEditor(PrivateMethods)
        category
      </a></h1>
    <h2><a rel="gsdoc" href="#class$GormGenericEditor">GormGenericEditor</a>(<a name="category$GormGenericEditor(PrivateMethods)">PrivateMethods</a>)</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormGenericEditor.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Warning</em> this category is <em>private</em>,
          which means that the methods are for internal use by
          the package. You should not use them in external code.
        
    </div>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor(PrivateMethods)-changeSelection$">-changeSelection:</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor(PrivateMethods)-groupSelectionInBox">-groupSelectionInBox</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor(PrivateMethods)-groupSelectionInMatrix">-groupSelectionInMatrix</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor(PrivateMethods)-groupSelectionInScrollView">-groupSelectionInScrollView</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor(PrivateMethods)-groupSelectionInSplitView">-groupSelectionInSplitView</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor(PrivateMethods)-groupSelectionInView">-groupSelectionInView</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor(PrivateMethods)-setEditor$forDocument$">-setEditor:forDocument:</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor(PrivateMethods)-ungroup">-ungroup</a></li>
      <li><a rel="gsdoc" href="GormGenericEditor.html#method$GormGenericEditor(PrivateMethods)-willCloseDocument$">-willCloseDocument:</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormGenericEditor(PrivateMethods)-changeSelection$">changeSelection:&nbsp;</a></h3>
    - (id) <b>changeSelection:</b> (id)sender;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor(PrivateMethods)-groupSelectionInBox">groupSelectionInBox&nbsp;</a></h3>
    - (void) <b>groupSelectionInBox</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor(PrivateMethods)-groupSelectionInMatrix">groupSelectionInMatrix&nbsp;</a></h3>
    - (void) <b>groupSelectionInMatrix</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor(PrivateMethods)-groupSelectionInScrollView">groupSelectionInScrollView&nbsp;</a></h3>
    - (void) <b>groupSelectionInScrollView</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor(PrivateMethods)-groupSelectionInSplitView">groupSelectionInSplitView&nbsp;</a></h3>
    - (void) <b>groupSelectionInSplitView</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor(PrivateMethods)-groupSelectionInView">groupSelectionInView&nbsp;</a></h3>
    - (void) <b>groupSelectionInView</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor(PrivateMethods)-setEditor$forDocument$">setEditor:&nbsp;forDocument:&nbsp;</a></h3>
    - (void) <b>setEditor:</b> (id)anEditor<b> forDocument:</b> (id<IBDocuments>)doc;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor(PrivateMethods)-ungroup">ungroup&nbsp;</a></h3>
    - (void) <b>ungroup</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormGenericEditor(PrivateMethods)-willCloseDocument$">willCloseDocument:&nbsp;</a></h3>
    - (void) <b>willCloseDocument:</b> (NSNotification*)aNotification;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
    <br />
    </font>
</body>
</html>
